## parted 2.3

=== debian/changelog ===
parted (2.3-19ubuntu1) trusty; urgency=medium

  * Upload from Debian git repository to fix a release-critical bug.
  * Fix crash when opening FAT file systems (LP: #1306704).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 14 Apr 2014 11:56:10 +0100

parted (2.3-19) unstable; urgency=medium

  [ Phillip Susi ]
  * fat-ntfs-large-sectors.patch: Fix fat and ntfs detection on non 512 byte
    sectors (closes: #743816, LP: #1302762).

 -- Colin Watson <cjwatson@debian.org>  Tue, 08 Apr 2014 12:55:59 +0100

parted (2.3-18) unstable; urgency=medium

  * Fix LVM handling regressions caused by fix-loop-labels.patch
    (LP: #1300072):
    - Initialise dev->loop in ped_disk_new_fresh rather than ped_disk_new.
    - Temporarily set disk->dev->loop to 0 while removing partitions, so
      that we can remove previously-existing non-loop partitions (thanks,
      Phillip Susi).

 -- Colin Watson <cjwatson@debian.org>  Wed, 02 Apr 2014 00:01:13 +0100

parted (2.3-17) unstable; urgency=low

  [ Phillip Susi ]
  * avoid-disturbing-partitions.patch: remove all old partitions (that are
    not unchanged) first, then add new ones.  This avoids an EBUSY trying to
    add new partitions that overlap with old ones that have a higher number
    (closes: #742847, LP: #1220165).
  * fix-loop-labels.patch: Fix loop labels (filesystem on whole disk
    device).

  [ Colin Watson ]
  * Slight tweak to avoid-disturbing-partitions.patch to continue to handle
    entirely unchanged partitions properly.
  * Convert to git-dpm.
  * Backport upstream change to add GPT PReP GUID support.

  [ Dimitri John Ledkov ]
  * Cherry-pick upstream fix for FTBFS with readline 6.3 (closes: #741842).

 -- Colin Watson <cjwatson@debian.org>  Fri, 28 Mar 2014 17:49:47 +0000

parted (2.3-16) unstable; urgency=low

  * Convert libparted0debian1-dbg to a normal separated-debug-symbols
    package rather than shipping a rather odd /usr/lib/libparted_g.a file,
    saving a build pass and making it more generally useful.  This also
    involves enabling mtrace on all build passes, which should be fine since
    it only does anything if MALLOC_TRACE is set in the environment.

 -- Colin Watson <cjwatson@debian.org>  Tue, 10 Sep 2013 17:29:34 +0100

parted (2.3-15) unstable; urgency=low

  [ Pino Toscano ]
  * Disable DMI detection on the Hurd (closes: #719628).
  * Don't match tarball compression extensions in watch file (closes:
    #719630).

 -- Colin Watson <cjwatson@debian.org>  Tue, 13 Aug 2013 22:01:46 +0100

parted (2.3-14) unstable; urgency=low

  * Merge fix-head-size-assertion.patch from Ubuntu: change an
    assert so it correctly recovers instead of aborting the program
    (closes: #620273).
  * Merge dm_p_separator.patch from Ubuntu: parted would add a
    'p' between the base device name and the partition number for
    all device-mapper devices instead of only if the base name
    ended in a digit.
  * Merge remove-dev_t-dep.patch from Ubuntu: parted was making
    bad assumptions about the meaning of the values of dev_t,
    causing it to fail to detect in-use partitions on all dmraid
    disks, and regular disk partitions > #16.
  * Merge skip-floppy.patch from Ubuntu: add floppies to the list
    of ignored devices since they can not be partitioned anyhow,
    and often people have no floppy though their bios thinks they do,
    and touching it causes hangs.
  * Merge gptsync.patch from Ubuntu: On Intel Mac systems, write a
    synced MBR rather than a protective MBR.
  * Merge loop-partitions.patch from Ubuntu: backport some changes
    to allow the use of partitions on loop devices.  This also
    allows more than 16 partitions.
  * Merge dmraid.patch from Ubuntu: Don't probe dmraid partition
    devices.  Also set UUID of newly created dmraid partition devices.
  * Merge dm-part-sync.patch from Ubuntu: refactor device-mapper
    partition sync code so it does not fail when unmodified partitions
    are mounted.
  * Merge udevadm-settle.patch from Ubuntu: Run udevadm settle around
    partition table rereads, to avoid races.
  * Merge 16-dos-partitions.patch from Ubuntu: the kernel was not
    being informed of partitions above #16 on dos partition tables
    (closes: #667638).
  * Merge hfs-probe-corrupt.patch from Ubuntu: don't let a corrupt
    FS evoke failed assertion.
  * Backport online resize patches: 0001-parted-resizepart-command.patch,
    0003-libparted-Add-support-for-BLKPG-ioctl-partition-resi.patch,
    and 0004-parted-make-_partition_warn_busy-actually-a-warning.patch
  * Merge fewer-gpt-entries.patch: Backport upstream patches to handle
    GPT labels with fewer than 128 partition entries (LP: #1187560).
  * debian/patches/avoid-disturbing-partitions.patch: Don't remove and
    re-add unmodified partitions (LP: #1060484).
  * debian/patches/linux-specific-gpt-type.patch: Backport upstream
    changes to use a linux specific partition type code instead of
    Microsoft's, which causes Windows to offer to format the partition.

 -- Phillip Susi <psusi@ubuntu.com>  Mon, 12 Aug 2013 10:11:10 +0100

parted (2.3-13) unstable; urgency=low

  * Use dh-autoreconf.
  * Avoid assuming that gets is declared (closes: #699653).

 -- Colin Watson <cjwatson@debian.org>  Thu, 09 May 2013 10:48:00 +0100

parted (2.3-12) unstable; urgency=low

  * Breaks: python-parted (<< 3.6-5); previous versions were broken by the
    PED_PARTITION_LAST_FLAG change in 2.3-11.1 (closes: #697588).

 -- Colin Watson <cjwatson@debian.org>  Mon, 07 Jan 2013 12:13:14 +0000

parted (2.3-11.1) unstable; urgency=low

  * Non-maintainer upload.
  * Cherry-pick upstream patches to fix the handling of GPT partition
    flags when modifying a GPT. This, most particularly fixes the
    handling of 'legagy BIOS bootable'. 
    Thanks to Jérémy Bobbio for providing the patch and analysis.
    Closes: #673042

 -- Christian Perrier <bubulle@debian.org>  Tue, 01 Jan 2013 14:44:03 +0100

parted (2.3-11) unstable; urgency=medium


