=== debian/control ===
Source: parted
Section: admin
Priority: optional
Maintainer: Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>
Uploaders: Otavio Salvador <otavio@debian.org>, Bastian Blank <waldi@debian.org>, Xavier Oswald <xoswald@debian.org>, Colin Watson <cjwatson@debian.org>
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/parted/debian/parted.git
Vcs-Browser: http://git.debian.org/?p=parted/debian/parted.git
Homepage: http://www.gnu.org/software/parted
Build-Depends:
 dpkg-dev (>= 1.15.7~),
 debhelper (>= 8.1.3),
 libncurses-dev | libncurses5-dev,
 libreadline-dev | libreadline6-dev,
 libdevmapper-dev (>= 2:1.02.33) [linux-any],
 uuid-dev,
 gettext,
 texinfo (>= 4.2),
 debianutils (>= 1.13.1),
 libblkid-dev,
 po4a,
 pkg-config,
 check,
 dh-autoreconf,
 autopoint

Package: parted
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: parted-doc
Conflicts: fsresize, parted1.6
Replaces: fsresize, parted1.6
Description: disk partition manipulator
 GNU Parted is a program that allows you to create, destroy, resize,
 move, and copy disk partitions. This is useful for creating space
 for new operating systems, reorganizing disk usage, and copying data
 to new hard disks.
 .
 This package contains the binary and manual page. Further
 documentation is available in parted-doc.
 .
 Parted currently supports DOS, Mac, Sun, BSD, GPT, MIPS, and PC98
 partitioning formats, as well as a "loop" (raw disk) type which
 allows use on RAID/LVM. It can detect and remove ASFS/AFFS/APFS,
 Btrfs, ext2/3/4, FAT16/32, HFS, JFS, linux-swap, UFS, XFS, and ZFS
 file systems. Parted also has the ability to create and modify file
 systems of some of these types, but using it to perform file system
 operations is now deprecated.
 .
 The nature of this software means that any bugs could cause massive
 data loss. While there are no such bugs known at the moment, they
 could exist, so please back up all important files before running
 it, and do so at your own risk.

Package: parted-udeb
XC-Package-Type: udeb
Architecture: any
Section: debian-installer
Priority: extra
XB-Installer-Menu-Item: 99999
Depends: ${shlibs:Depends}
Description: Manually partition a hard drive (parted)

Package: libparted0
Architecture: any
Section: libs
Priority: extra
Depends: ${misc:Depends}, libparted0debian1 (= ${binary:Version})
Description: disk partition manipulator - dummy package
 This is a dummy package providing smooth upgrades to
 libparted0debian1. You can safely remove it if no other
 package depends on it.

Package: libparted0debian1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: parted | nparted, libparted0-dev, libparted0-i18n (= ${source:Version})
Conflicts: parted (<< 1.4.13+14pre1), libparted1 (<< 2.2), libparted2 (<< 2.2)
Replaces: libparted0 (<< 2.2-4), libparted1 (<< 2.2), libparted2 (<< 2.2), libparted1.4 (<< 1.4.24-2)
Provides: libparted
Breaks: python-parted (<< 3.6-5)
Multi-Arch: same
Description: disk partition manipulator - shared library
 GNU Parted is a program that allows you to create, destroy, resize,
 move, and copy disk partitions. This is useful for creating space
 for new operating systems, reorganizing disk usage, and copying data
 to new hard disks.
 .
 This package contains the shared library.

Package: libparted0-udeb
XC-Package-Type: udeb
Architecture: any
Section: debian-installer
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: disk partition manipulator - library udeb
 GNU Parted is a program that allows you to create, destroy, resize,
 move, and copy disk partitions. This is useful for creating space
 for new operating systems, reorganizing disk usage, and copying data
 to new hard disks.
 .
 This is a cut-down library package for use in debian-installer.

Package: libparted0-i18n
Architecture: all
Section: localization
Depends: libparted0debian1, ${misc:Depends}
Replaces: libparted1 (<< 2.2), libparted2 (<< 2.2), libparted1.4 (<< 1.4.24-2), libparted1.6 (<< 1.5+1.6.0-pre3-2), libparted1.4-i18n, parted (<< 1.4.13+14pre1)
Conflicts: libparted-i18n
Provides: libparted-i18n
Description: disk partition manipulator - i18n support
 GNU Parted is a program that allows you to create, destroy, resize,
 move, and copy disk partitions. This is useful for creating space
 for new operating systems, reorganizing disk usage, and copying data
 to new hard disks.
 .
 This package contains localization data.

Package: libparted0-dev
Architecture: any
Section: libdevel
Depends: libc6-dev, libparted0debian1 (= ${binary:Version}), libdevmapper-dev (>= 1.02.33) [linux-any], uuid-dev, libblkid-dev, ${misc:Depends}
Suggests: parted (= ${binary:Version}), parted-doc
Conflicts: libparted-dev, parted (<< 1.2.11)
Replaces: libparted-dev, libparted2-dev (<< 2.2)
Provides: libparted-dev
Description: disk partition manipulator - development files
 GNU Parted is a program that allows you to create, destroy, resize,
 move, and copy disk partitions. This is useful for creating space
 for new operating systems, reorganizing disk usage, and copying data
 to new hard disks.
 .
 This package contains the static library and header files for
 libparted, which are really only of interest to parted developers.

Package: libparted0debian1-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libparted0debian1 (= ${binary:Version}), ${misc:Depends}
Conflicts: libparted-dbg
Replaces: libparted-dbg, libparted0-dbg (<< 2.2-4)
Provides: libparted-dbg
Description: disk partition manipulator - debugging symbols
 GNU Parted is a program that allows you to create, destroy, resize,
 move, and copy disk partitions. This is useful for creating space
 for new operating systems, reorganizing disk usage, and copying data
 to new hard disks.
 .
 This package contains debugging symbols for libparted, which are really
 only of interest to parted developers who need to debug their programs.

Package: parted-doc
Architecture: all
Section: doc
Suggests: parted | libparted0-dev
Conflicts: parted1.6-doc
Replaces: parted1.6-doc
Depends: ${misc:Depends}, install-info
Description: disk partition manipulator - documentation
 GNU Parted is a program that allows you to create, destroy, resize,
 move, and copy disk partitions. This is useful for creating space
 for new operating systems, reorganizing disk usage, and copying data
 to new hard disks.
 .
 This package contains user documentation for parted and API
 documentation for the library packages.
