## parted 2.3-0

=== debian/changelog ===
parted (2.3-0) stable; urgency=low

  (12/23/2010)2.3-0
      >+First Release


 -- Andrew Clausen <clausen@gnu.org>, Lennert Buytanhek <buytenh@gnu.org>, Matthew Wilson <msw@redhat.com> <<humblemaemo@gmail.com>>  Thu, 23 Dec 2010 08:52:48 +0000
