## parted 2.3-1

=== debian/changelog ===
parted (2.3-1) stable; urgency=low

  (12/23/2010)2.3-1
      >+Moved bin's to /sbin


 -- Andrew Clausen <clausen@gnu.org>, Lennert Buytanhek <buytenh@gnu.org>, Matthew Wilson <msw@redhat.com> <<humblemaemo@gmail.com>>  Thu, 23 Dec 2010 15:32:10 +0000
