=== debian/control ===
Source: parted
Section: user/development
Priority: extra
Maintainer: Andrew Clausen <clausen@gnu.org>, Lennert Buytanhek <buytenh@gnu.org>, Matthew Wilson <msw@redhat.com> <<humblemaemo@gmail.com>>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: parted
XB-Maemo-Display-Name: gnu-parted
Architecture: armel
Depends: 
Suggests: 
Description: parted is a disk partitioning and partition resizing program.
 It allows you to create, destroy, resize, move and copy ext2, ext3, linux-swap, FAT and FAT32 partitions. This is useful for creating space for new operating systems, reorganising disk usage, and copying data to new hard disks.
XB-Maemo-Upgrade-Description: 
XSBC-Bugtracker:
