=== debian/rules ===
--- 
+++ 
@@ -50,12 +50,12 @@
 	#$(MAKE) DESTDIR="$(CURDIR)/debian/parted" install
 	mkdir -p "$(CURDIR)/debian/parted"
 
+	mkdir -p "$(CURDIR)/debian/parted/sbin/"
+	cp -a "parted" "$(CURDIR)/debian/parted/sbin/parted"
+	mkdir -p "$(CURDIR)/debian/parted/sbin/"
+	cp -a "partprobe" "$(CURDIR)/debian/parted/sbin/partprobe"
 	mkdir -p "$(CURDIR)/debian/parted/lib/"
 	cp -a "libdevmapper.so.1.02" "$(CURDIR)/debian/parted/lib/libdevmapper.so.1.02"
-	mkdir -p "$(CURDIR)/debian/parted/bin/"
-	cp -a "parted" "$(CURDIR)/debian/parted/bin/parted"
-	mkdir -p "$(CURDIR)/debian/parted/bin/"
-	cp -a "partprobe" "$(CURDIR)/debian/parted/bin/partprobe"
 
 	# ======================================================
