## parted 3.2

=== debian/changelog ===
parted (3.2-20ubuntu0.2) bionic; urgency=medium

  * debian/patches/fix-windows-fat-recognition-after-resizing.patch:
    Apply upstream patch to fix FAT resizing so that FAT filesystems which
    are resized by libparted are recognizeable in Microsoft Windows.
    (LP: #1820090)

 -- Thomas Ward <teward@ubuntu.com>  Thu, 14 Mar 2019 13:05:58 -0400

parted (3.2-20ubuntu0.1) bionic; urgency=medium

  * debian/patches/Read-NVMe-model-names-from-sysfs.patch: Expose NVMe
    model names when available instead of the generic "NVMe Device"
    string. LP: #1798675.

 -- dann frazier <dannf@ubuntu.com>  Thu, 18 Oct 2018 16:00:56 -0600

parted (3.2-20) unstable; urgency=medium

  * Amend patches added in 3.2-19 to include corresponding patches to files
    generated by "make dist".

 -- Colin Watson <cjwatson@debian.org>  Wed, 17 Jan 2018 01:43:32 +0000

parted (3.2-19) unstable; urgency=medium

  * Cherry-pick upstream patch to add support for NVMe devices (closes:
    #886960, LP: #1742787).
  * Cherry-pick upstream patches to update DASD handling (closes: #887016,
    LP: #1737144).

 -- Colin Watson <cjwatson@debian.org>  Tue, 16 Jan 2018 17:27:17 +0000

parted (3.2-18) unstable; urgency=medium

  * Mark parted-doc as Multi-Arch: foreign.
  * Fix build failure with glibc-2.26 (thanks, Matthias Klose; closes:
    #878234).
  * Change priorities of udebs and libparted0-dev to optional, since
    "Priority: extra" is now deprecated.

 -- Colin Watson <cjwatson@debian.org>  Wed, 11 Oct 2017 13:05:37 +0100

parted (3.2-17) unstable; urgency=medium

  [ Colin Watson ]
  * Remove Otavio Salvador from Uploaders, with thanks for their previous
    contributions (closes: #847255).
  * Build-depend on gperf so that we can regenerate pt-limit.c.
  * Policy version 3.9.8: no changes required.

  [ John Paul Adrian Glaubitz ]
  * Add support for atari partition tables (closes: #239816).

 -- Colin Watson <cjwatson@debian.org>  Fri, 09 Dec 2016 12:55:53 +0000

parted (3.2-16) unstable; urgency=medium

  * Remove Xavier Oswald from Uploaders as they have retired, with thanks
    for their previous contributions (closes: #824328).
  * Remove outdated README.Debian (closes: #838986).

 -- Colin Watson <cjwatson@debian.org>  Tue, 27 Sep 2016 14:34:23 +0100

parted (3.2-15) unstable; urgency=medium

  * Cherry-pick upstream patch to check DASD geometry more carefully to
    avoid problems with LVM (closes: #814076, LP: #1541510).

 -- Colin Watson <cjwatson@debian.org>  Wed, 10 Feb 2016 14:26:23 +0000

parted (3.2-14) unstable; urgency=medium

  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.
  * Build with all hardening options.

 -- Colin Watson <cjwatson@debian.org>  Wed, 27 Jan 2016 13:24:01 +0000

parted (3.2-13) unstable; urgency=medium

  * Simplify unnecessary use of dh-exec in debian/libparted-dev.install.
  * Remove no-longer-necessary Conflicts/Replaces from libparted2.
  * Replace versioned Conflicts on old versions of parted in libparted-dev
    with Breaks+Replaces.
  * Add OpenPGP signature checking configuration to watch file.

 -- Colin Watson <cjwatson@debian.org>  Sat, 16 Jan 2016 23:01:07 +0000

parted (3.2-12) unstable; urgency=medium

  * Cherry-pick upstream patch to use 512-byte sector size when
    communicating with device-mapper; previously partitions could be created
    eight times smaller than expected on DM devices with 4096-byte sectors
    (thanks, Mauricio Faria de Oliveira and Mathieu Trudel-Lapierre;
    LP: #1441930).

 -- Colin Watson <cjwatson@debian.org>  Tue, 22 Dec 2015 13:41:02 +0000

parted (3.2-11) unstable; urgency=medium

  * Drop *-dbg packages in favour of ddebs.

 -- Colin Watson <cjwatson@debian.org>  Tue, 22 Dec 2015 01:06:19 +0000

parted (3.2-10) unstable; urgency=medium

  * fdasd-update-geometry-handling.patch: Update include/parted/fdasd.h as
    well as include/parted/fdasd.in.h, since the former doesn't seem to be
    rebuilt automatically.

 -- Colin Watson <cjwatson@debian.org>  Thu, 05 Nov 2015 17:01:38 +0000

parted (3.2-9) unstable; urgency=medium

  * dasd-enhance-probing.patch: Fix function ordering.

 -- Colin Watson <cjwatson@debian.org>  Thu, 29 Oct 2015 14:52:41 +0000

parted (3.2-8) unstable; urgency=medium

  * Cherry-pick upstream patches to support virtio-attached DASD (thanks,
    Viktor Mihajlovski; closes: #803333).

 -- Colin Watson <cjwatson@debian.org>  Thu, 29 Oct 2015 12:26:08 +0000

parted (3.2-7) unstable; urgency=medium

  [ Phillip Susi ]
  * Cherry pick upstream patch to fix a crash when resizing fat16
    (LP: #1342255).

  [ Colin Watson ]
  * Drop libparted2's alternative Suggests on nparted, which has not been in
    Debian for a decade or so.

 -- Colin Watson <cjwatson@debian.org>  Thu, 19 Mar 2015 10:58:55 +0000

parted (3.2-6) unstable; urgency=medium

  [ Steven Chamberlain ]
  * kfreebsd-gnu.patch: (Thanks, Jeff Epler!)
    - Fix detection of /dev/ada as a SCSI disk type (Closes: #693510,
      #757986)
    - Implement detection of drive model, logical and physical sector sizes
      for SCSI disks

 -- Colin Watson <cjwatson@debian.org>  Fri, 19 Sep 2014 15:44:36 +0100

parted (3.2-5) unstable; urgency=medium

  * Update freebsd-ufs.patch to handle non-512-byte-sector disks
    (LP: #1355127).

 -- Colin Watson <cjwatson@debian.org>  Mon, 25 Aug 2014 19:20:11 +0100

parted (3.2-4) unstable; urgency=high

  * Probe LVM logical volumes even when their physical volumes are on
    device-mapper devices (closes: #757750).

 -- Colin Watson <cjwatson@debian.org>  Mon, 11 Aug 2014 14:02:26 +0100

parted (3.2-3) unstable; urgency=high

  * Probe LVM logical volumes again (closes: #757417).

 -- Colin Watson <cjwatson@debian.org>  Sun, 10 Aug 2014 11:02:32 +0100

parted (3.2-2) unstable; urgency=high

  * Fix gptsync.patch not to try to perform pointer arithmetic on void *
    values.
  * Remove unused label from udevadm-settle.patch.
  * Configure with --disable-gcc-warnings, even when building from git.

