=== debian/control ===
Source: parted
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Colin Watson <cjwatson@debian.org>
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/parted/debian/parted.git
Vcs-Browser: https://anonscm.debian.org/cgit/parted/debian/parted.git
Homepage: http://www.gnu.org/software/parted
Build-Depends:
 dpkg-dev (>= 1.15.7~),
 debhelper (>= 9~),
 dh-exec,
 libncurses-dev | libncurses5-dev,
 libreadline-dev | libreadline6-dev,
 libdevmapper-dev (>= 2:1.02.39) [linux-any],
 uuid-dev,
 gettext,
 texinfo (>= 4.2),
 debianutils (>= 1.13.1),
 libblkid-dev,
 pkg-config,
 check,
 dh-autoreconf,
 autoconf (>= 2.63),
 automake (>= 1:1.11.6),
 autopoint,
 gperf

Package: parted
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libparted2 (= ${binary:Version})
Suggests: parted-doc
Conflicts: fsresize, parted1.6
Replaces: fsresize, parted1.6
Description: disk partition manipulator
 GNU Parted is a program that allows you to create, destroy, resize,
 move, and copy disk partitions. This is useful for creating space
 for new operating systems, reorganizing disk usage, and copying data
 to new hard disks.
 .
 This package contains the binary and manual page. Further
 documentation is available in parted-doc.
 .
 Parted currently supports DOS, Mac, Sun, BSD, GPT, MIPS, and PC98
 partitioning formats, as well as a "loop" (raw disk) type which
 allows use on RAID/LVM. It can detect and remove ASFS/AFFS/APFS,
 Btrfs, ext2/3/4, FAT16/32, HFS, JFS, linux-swap, UFS, XFS, and ZFS
 file systems. Parted also has the ability to create and modify file
 systems of some of these types, but using it to perform file system
 operations is now deprecated.
 .
 The nature of this software means that any bugs could cause massive
 data loss. While there are no such bugs known at the moment, they
 could exist, so please back up all important files before running
 it, and do so at your own risk.

Package: parted-udeb
Package-Type: udeb
Architecture: any
Section: debian-installer
XB-Installer-Menu-Item: 99999
Depends: ${shlibs:Depends}, libparted2-udeb (= ${binary:Version})
Description: Manually partition a hard drive (parted)

Package: libparted2
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: parted, libparted-dev, libparted-i18n (= ${source:Version})
Provides: libparted
Breaks: python-parted (<< 3.6-5)
Multi-Arch: same
Description: disk partition manipulator - shared library
 GNU Parted is a program that allows you to create, destroy, resize,
 move, and copy disk partitions. This is useful for creating space
 for new operating systems, reorganizing disk usage, and copying data
 to new hard disks.
 .
 This package contains the shared library.

Package: libparted-fs-resize0
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libparted2 (= ${binary:Version})
Suggests: libparted-dev
Multi-Arch: same
Description: disk partition manipulator - shared FS resizing library
 GNU Parted is a program that allows you to create, destroy, resize,
 move, and copy disk partitions. This is useful for creating space
 for new operating systems, reorganizing disk usage, and copying data
 to new hard disks.
 .
 This package contains the libparted-fs-resize shared library for
 resizing HFS+ and FAT file systems.

Package: libparted2-udeb
Package-Type: udeb
Architecture: any
Section: debian-installer
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: disk partition manipulator - library udeb
 GNU Parted is a program that allows you to create, destroy, resize,
 move, and copy disk partitions. This is useful for creating space
 for new operating systems, reorganizing disk usage, and copying data
 to new hard disks.
 .
 This is a cut-down library package for use in debian-installer.

Package: libparted-fs-resize0-udeb
Package-Type: udeb
Architecture: any
Section: debian-installer
Depends: ${shlibs:Depends}, ${misc:Depends}, libparted2-udeb (= ${binary:Version})
Description: disk partition manipulator - FS resizing library udeb
 GNU Parted is a program that allows you to create, destroy, resize,
 move, and copy disk partitions. This is useful for creating space
 for new operating systems, reorganizing disk usage, and copying data
 to new hard disks.
 .
 This is a cut-down library package for use in debian-installer.  It
 contains the libparted-fs-resize shared library for resizing HFS+ and
 FAT file systems.

Package: libparted-i18n
Architecture: all
Section: localization
Depends: libparted2, ${misc:Depends}
Replaces: libparted1 (<< 2.2), libparted2 (<< 2.2), libparted1.4 (<< 1.4.24-2), libparted1.6 (<< 1.5+1.6.0-pre3-2), libparted1.4-i18n, libparted0-i18n, parted (<< 1.4.13+14pre1)
Conflicts: libparted0-i18n
Description: disk partition manipulator - i18n support
 GNU Parted is a program that allows you to create, destroy, resize,
 move, and copy disk partitions. This is useful for creating space
 for new operating systems, reorganizing disk usage, and copying data
 to new hard disks.
 .
 This package contains localization data.

Package: libparted-dev
Architecture: any
Section: libdevel
Depends: libc6-dev, libparted2 (= ${binary:Version}), libparted-fs-resize0 (= ${binary:Version}), libdevmapper-dev (>= 1.02.33) [linux-any], uuid-dev, libblkid-dev, ${misc:Depends}
Suggests: parted (= ${binary:Version}), parted-doc
Breaks: parted (<< 1.2.11), libparted0-dev (<< 3.1-1~)
Replaces: parted (<< 1.2.11), libparted0-dev (<< 3.1-1~), libparted2-dev (<< 2.2)
Multi-Arch: same
Description: disk partition manipulator - development files
 GNU Parted is a program that allows you to create, destroy, resize,
 move, and copy disk partitions. This is useful for creating space
 for new operating systems, reorganizing disk usage, and copying data
 to new hard disks.
 .
 This package contains the static library and header files for
 libparted, which are really only of interest to parted developers.

Package: libparted0-dev
Architecture: all
Section: oldlibs
Depends: ${misc:Depends}, libparted-dev (>= ${source:Version})
Description: disk partition manipulator - transitional package
 GNU Parted is a program that allows you to create, destroy, resize,
 move, and copy disk partitions. This is useful for creating space
 for new operating systems, reorganizing disk usage, and copying data
 to new hard disks.
 .
 This is a transitional package to ease the migration to the new
 unversioned libparted-dev package, which should be used in preference.

Package: parted-doc
Architecture: all
Section: doc
Suggests: parted | libparted-dev
Conflicts: parted1.6-doc
Replaces: parted1.6-doc
Depends: ${misc:Depends}, install-info
Multi-Arch: foreign
Description: disk partition manipulator - documentation
 GNU Parted is a program that allows you to create, destroy, resize,
 move, and copy disk partitions. This is useful for creating space
 for new operating systems, reorganizing disk usage, and copying data
 to new hard disks.
 .
 This package contains user documentation for parted and API
 documentation for the library packages.
